Package org.apache.solr.client.solrj.impl

## Interface SolrHttpConstants

All Known Implementing Classes:
  `HttpClientUtil`

    public interface SolrHttpConstants

Constants for HTTP Solr interaction.

### Field Summary

Fields
`static int` `DEFAULT_CONNECT_TIMEOUT`
`static int` `DEFAULT_MAXCONNECTIONS`
`static int` `DEFAULT_MAXCONNECTIONSPERHOST`
`static int` `DEFAULT_SO_TIMEOUT`
`static String` `PROP_BASIC_AUTH_PASS` Basic auth password
`static String` `PROP_BASIC_AUTH_USER` Basic auth username
`static String` `PROP_CONNECTION_TIMEOUT` connection timeout measures in ms, closes a socket if connection cannot be established within x ms.
`static String` `PROP_MAX_CONNECTIONS` Maximum total connections allowed
`static String` `PROP_MAX_CONNECTIONS_PER_HOST` Maximum connections allowed per host
`static String` `PROP_SO_TIMEOUT` Socket timeout measured in ms, closes a socket if read takes longer than x ms to complete.
`static String` `SYS_PROP_CHECK_PEER_NAME` System property consulted to determine if HTTP based SolrClients will require hostname validation of SSL Certificates.
`static String` `SYS_PROP_HTTP_CLIENT_BUILDER_FACTORY` A Java system property to select the HttpClientBuilderFactory used for configuring HTTP based SolrClients.

### Field Detail

#### DEFAULT_CONNECT_TIMEOUT

    static final int DEFAULT_CONNECT_TIMEOUT

See Also:
  Constant Field Values

#### DEFAULT_SO_TIMEOUT

    static final int DEFAULT_SO_TIMEOUT

See Also:
  Constant Field Values

#### DEFAULT_MAXCONNECTIONSPERHOST

    static final int DEFAULT_MAXCONNECTIONSPERHOST

See Also:
  Constant Field Values

#### DEFAULT_MAXCONNECTIONS

    static final int DEFAULT_MAXCONNECTIONS

See Also:
  Constant Field Values

#### PROP_SO_TIMEOUT

    static final String PROP_SO_TIMEOUT

Socket timeout measured in ms, closes a socket if read takes longer than x ms to complete. throws `SocketTimeoutException`: Read timed out exception

See Also:
  Constant Field Values

#### PROP_CONNECTION_TIMEOUT

    static final String PROP_CONNECTION_TIMEOUT

connection timeout measures in ms, closes a socket if connection cannot be established within x ms. with a `SocketTimeoutException`: Connection timed out

See Also:
  Constant Field Values

#### PROP_MAX_CONNECTIONS_PER_HOST

    static final String PROP_MAX_CONNECTIONS_PER_HOST

Maximum connections allowed per host

See Also:
  Constant Field Values

#### PROP_MAX_CONNECTIONS

    static final String PROP_MAX_CONNECTIONS

Maximum total connections allowed

See Also:
  Constant Field Values

#### SYS_PROP_HTTP_CLIENT_BUILDER_FACTORY

    static final String SYS_PROP_HTTP_CLIENT_BUILDER_FACTORY

A Java system property to select the HttpClientBuilderFactory used for configuring HTTP based SolrClients.

See Also:
  Constant Field Values

#### SYS_PROP_CHECK_PEER_NAME

    static final String SYS_PROP_CHECK_PEER_NAME

System property consulted to determine if HTTP based SolrClients will require hostname validation of SSL Certificates. The default behavior is to enforce peer name validation.

See Also:
  Constant Field Values

#### PROP_BASIC_AUTH_USER

    static final String PROP_BASIC_AUTH_USER

Basic auth username

See Also:
  Constant Field Values

#### PROP_BASIC_AUTH_PASS

    static final String PROP_BASIC_AUTH_PASS

Basic auth password

See Also:
  Constant Field Values